com.sun.jna.platform.win32

## Class Wincon.SMALL_RECT

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Wincon.SMALL_RECT

- Enclosing interface:
    Wincon

      @Structure.FieldOrder(value={"Left","Top","Right","Bottom"})
      public static class Wincon.SMALL_RECT
      extends Structure

  SMALL_RECT structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `Bottom`
    `short` | `Left`
    `short` | `Right`
    `short` | `Top`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SMALL_RECT()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### Left

          public short Left

    - #### Top

          public short Top

    - #### Right

          public short Right

    - #### Bottom

          public short Bottom

  - ### Constructor Detail

    - #### SMALL_RECT

          public SMALL_RECT()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Structure`
      If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.
      Overrides:
        `toString` in class `Structure`
      Returns:
        String representation of this object.

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.